use serde::{Deserialize, Serialize};
use surrealdb::sql::Thing;

#[derive(Debug, Serialize, Deserialize)]
pub struct State {
    pub now: String,
    pub required: String,
}

impl State {
    pub fn is_pending(&self) -> bool {
        self.now == "pending".as_ref()
    }
}

#[derive(Debug, Serialize, Deserialize)]
pub struct ServerConfiguration {
    pub id: Thing,
    pub name: String,
    pub domain: String,
    pub directory: String,
    pub volume: String,
    pub repo_password: String,
    pub rest_password: String,
    pub state: State,
}

#[derive(Debug, Deserialize)]
pub struct Record {
    #[allow(dead_code)]
    pub id: Thing,
}
